Topic: Install Errors - need to install all the gems manually

"bundle install" reports error:

---

Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read
server certificate B: certificate verify failed (https://rubygems.org/gems/uglif
ier-1.2.4.gem)
An error occured while installing uglifier (1.2.4), and Bundler cannot continue.

Make sure that `gem install uglifier -v '1.2.4'` succeeds before bundling.

---

After I install the gem manually, it reports the same error with the next gem. I already installed ~10 manually and affraid this process will never end. How can I fix it?

Re: Install Errors - need to install all the gems manually

My article explains the reasons for the error, offers steps for further diagnosis, shows several workarounds, and suggests possible solutions:

OpenSSL Errors and Rails – Certificate Verify Failed – Gem::RemoteFetcher::FetchError


There are also links to the relevant commits and issues on GitHub.